Requests | Update Request

The Request CREATE end-point can be used to generate quote requests on Cargobase, but also to update minor details on that request. This is useful, if you rely on your internal order/shipping platform to create requests in Cargobase. The options for updating your requests via API are purposefully rather limited at this moment. Any changes to allow more updates are not foreseen until an additional feature request is made.

At this moment, the PUT action can only be used to update Pickup notes, Delivery Notes or Additional Comments. This end-point can also be used to Cancel any open Quote request. Cancelation cannot be performed after a request has been booked.

Note This end-point only applies to Shippers

Request URI

PUT https://pluto.cargobase.com/api/1/requests/create/S12345678
Content-Type: application/json
Authentication: Token 'your_token_here'

Body message

The body message is constructed around the same main object categories which are used to create the inital request. However, since only a few fields can be updated, only 2 categories apply. All values are optional, except when canceling a request; in that case there are 3 related key/value pairs that need to be shared. Each main object category should not be included if there are no updates for that category.

Main object categories

Category parameterPurpose
organizationTo cancel the request, or update additional Comments
serviceTo update pickup or delivery notes

organization values

KeyValueMandatoryPurposeParent object
additional_commentsSTRINGOPTIONALA general remark on the overall requestorganization
request_statusSTRINGOPTIONALCan only be used to cancel a request, value: 'canceled'organization
cancel_reasonINTEGERCONDITIONALAn integer to select a predetermined cancel reason category, use only in combination with request_statusorganization
cancel_commentSTRINGOPTIONALCan be used to share additional feedback to the provider, use only in combination with request_statusorganization
cancel_reason values

These preselected reasons can be shared with the invited providers.

ValueDescription
1Quote(s) did not meet requirements
2Quote(s) were too expensive
3No quotes received on time
4Shipment not required anymore
5Shipment booked from alternative source
6Other

schedule values

KeyValueMandatoryPurposeParent object
pickup_notesSTRINGNoAdditional pickup notesschedule
stop1_notesSTRINGNoAdditional delivery notesschedule

Status codes

StatusDescriptionResolution
201Created"Success : true"
403Forbiddencheck Authentication token

In case of a successful POST your response will contain the details that were posted, as confirmation.

Sample Request Body:

{
 "organization": {
   "additional_comments": "Please quote both your fastest and your most economical option.",
   "request_status": "canceled",
   "cancel_reason": 1,
   "cancel_comment": "This quote request will be canceled, in favor of a larger request coming tomorrow."
 },
 "schedule": {
   "pickup_notes": "Please park at loading bay 3, watch out for the Garden Gnome when turning in.",
   "stop1_notes": "Make sure to ring twice"
 }
}
Language
Credentials
http
Response
Click Try It! to start a request and see the response here!